Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.handler
Class DirectedPresence

    java.lang.Object
      org.jivesoftware.openfire.handler.DirectedPresence

All Implemented Interfaces:
  Externalizable, Serializable

    public class DirectedPresence

extends Object
implements Externalizable

Represents a directed presence sent from a session hosted in a cluster node to another entity (e.g. user or MUC service) hosted in some other cluster node.

This information needs to be shared by all cluster nodes so that if a cluster node goes down then directed presences can be correctly cleaned up.

Note that an instance of this class will be created and kept in the clustered cache only when entities hosted by different cluster nodes are involved.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`DirectedPresence()`
`DirectedPresence(org.xmpp.packet.JID handlerJID)`

Method Summary
`void` | `addReceiver(String receiver)`
`org.xmpp.packet.JID` | `getHandler()`
`byte[]` | `getNodeID()`
`Set<String>` | `getReceivers()`
`boolean` | `isEmpty()`
`void` | `readExternal(ObjectInput in)`
`void` | `removeReceiver(String receiver)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectedPresence

    public DirectedPresence()

### DirectedPresence

    public DirectedPresence(org.xmpp.packet.JID handlerJID)

Method Detail

### getNodeID

    public byte[] getNodeID()

### getHandler

    public org.xmpp.packet.JID getHandler()

### getReceivers

    public Set<String> getReceivers()

### addReceiver

    public void addReceiver(String receiver)

### removeReceiver

    public void removeReceiver(String receiver)

### isEmpty

    public boolean isEmpty()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.